Subject: Re: What's cooking in git.git (May 2022, #05; Mon, 16)

From: Derrick Stolee <[email-masked]>
Date: Tue, 17 May 2022 09:10:23 -0400

On 5/17/2022 1:37 AM, Junio C Hamano wrote:

> * tb/midx-race-in-pack-objects (2022-05-13) 2 commits
>  - builtin/pack-objects.c: ensure pack validity from MIDX bitmap objects
>  - pack-bitmap: check preferred pack validity when opening MIDX bitmap
> 
>  The multi-pack-index code did not protect the packfile it is going
>  to depend on from getting removed while in use, which has been
>  corrected.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

Looking at the conversation here, I would change this to
"expecting a re-roll".
> * ab/valgrind-fixes (2022-05-12) 4 commits
>   (merged to 'next' on 2022-05-16 at 75d760528f)
>  + commit-graph.c: don't assume that stat() succeeds
>  + object-file: fix a unpack_loose_header() regression in 3b6a8db3b03
>  + log test: skip a failing mkstemp() test under valgrind
>  + tests: using custom GIT_EXEC_PATH breaks --valgrind tests
>  (this branch is used by ds/object-file-unpack-loose-header-fix.)
> 
>  A bit of test framework fixes with a few fixes to issues found by
>  valgrind.
> 
>  Will merge to 'master'.
>  source: <[email-masked]>
...
> * ds/object-file-unpack-loose-header-fix (2022-05-16) 1 commit
>  - object-file: convert 'switch' back to 'if'
>  (this branch uses ab/valgrind-fixes.)
> 
>  Coding style fix.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

With ab/valgrind-fixes in 'next', I think this is an easy one
to merge. I'm calling it out here since the patch was hidden
in the review of ab/valgrind-fixes.

Thanks,
-Stolee